Resource URL
| Type | URL and Format |
|---|---|
| POST | https://public-api.wordpress.com/rest/v1/test/$ID |
Method Parameters
| Parameter | Type | Description |
|---|---|---|
| $ID | (int) | An arbitrary integer |
Query Parameters
| Parameter | Type | Description |
|---|---|---|
| http_envelope | (bool) |
|
| pretty | (bool) |
|
| callback | (string) | An optional JSONP callback function. |
| id | (int) | Another arbitrary integer |
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| id | (int) | A potentially different arbitrary integer |
Response Parameters
| Parameter | Type | Description |
|---|---|---|
| method_id_matches_query_id | (bool) | Whether the arbitrary integer in the path matches the arbitrary integer in the query string. |
| method_id_matches_input_id | (bool) | Whether the arbitrary integer in the path matches the arbitrary integer in the POST input. |
Example
cURL
curl 'https://public-api.wordpress.com/rest/v1/test/24/'
PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/test/24/',
false,
$context
);
$response = json_decode( $response );
?>